MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029409Community[OCCT] OCCT:Configurationpublic2018-01-01 17:102018-06-29 21:19
Reporterabv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029409: Configuration, macOS - "AppKit" is spelled in CMake scripts using wrong case for "K"
DescriptionThe following problem has been reported by external user:

~~~~~
The cmake scripts fail to build on case-senstive macOS file systems because Appkit, should be AppKit. Here is a patch against the V7_2_0 tag that solves the problem:

diff --git a/adm/cmake/occt_csf.cmake b/adm/cmake/occt_csf.cmake
index c62425d..0e2db4e 100644
--- a/adm/cmake/occt_csf.cmake
+++ b/adm/cmake/occt_csf.cmake
@@ -85,7 +85,7 @@ if (WIN32)
     set (CSF_objc "objc")

 
     # frameworks
- find_library (Appkit_LIB NAMES Appkit)
+ find_library (Appkit_LIB NAMES AppKit)
     set (CSF_Appkit ${Appkit_LIB})

 
     find_library (IOKit_LIB NAMES IOKit)

~~~~~
Steps To ReproduceBuild OCCT on macOS with case sensitive file system (HDD formatted as "Mac OS Extended (Case-sensitive)")
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0073219)
git (administrator)
2018-01-02 14:03

Branch CR29409 has been created by abv.

SHA-1: 7133469631050b3d9da98a4c4122d35222b1393f


Detailed log of new commits:

Author: abv
Date: Tue Jan 2 14:03:16 2018 +0300

    0029409: Configuration, macOS - "Appkit" is spelled in CMake scripts using wrong case for "K"
    
    Spelling error is corrected in name of AppKit library in CMake scripts for macOS
(0073220)
abv (manager)
2018-01-02 14:06

I have pushed correction, please test if possible
(0073258)
kgv (developer)
2018-01-09 10:05

The patch is incomplete - the misprint is originating from genproj.tcl, where framework is still misspelled.
(0073300)
git (administrator)
2018-01-10 23:08

Branch CR29409 has been updated forcibly by abv.

SHA-1: 29e9b9067061fa33977d917be7a3afe9b75d415a
(0073301)
abv (manager)
2018-01-10 23:32

Corrected (in the same branch), please review
(0073303)
kgv (developer)
2018-01-11 09:34

Please test the patch (regression testing is not needed - see abv comment).
(0073347)
apn (administrator)
2018-01-11 11:22

Combination -
OCCT branch : CR29409 SHA - 29e9b9067061fa33977d917be7a3afe9b75d415a
Products branch : master SHA - c667ca9e3bc920614b06911e337a09899f80aa2f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0073775)
git (administrator)
2018-02-05 11:39

Branch CR29409 has been deleted by kgv.

SHA-1: 29e9b9067061fa33977d917be7a3afe9b75d415a

- Related Changesets
occt: master 2c3f1a57
Timestamp: 2018-01-02 11:03:16
Author: abv
Committer: apn
Details ] Diff ]
0029409: Configuration, macOS - "Appkit" is spelled in CMake scripts using wrong case for "K"

Spelling error is corrected in name of AppKit library in CMake and genproj scripts for macOS
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-01-01 17:10 abv New Issue
2018-01-01 17:10 abv Assigned To => bugmaster
2018-01-02 14:03 git Note Added: 0073219
2018-01-02 14:06 abv Note Added: 0073220
2018-01-02 14:06 abv Status new => resolved
2018-01-02 14:06 abv Steps to Reproduce Updated View Revisions
2018-01-09 10:05 kgv Note Added: 0073258
2018-01-09 10:05 kgv Assigned To bugmaster => abv
2018-01-09 10:05 kgv Severity minor => trivial
2018-01-09 10:05 kgv Status resolved => feedback
2018-01-10 23:08 git Note Added: 0073300
2018-01-10 23:32 abv Note Added: 0073301
2018-01-10 23:32 abv Assigned To abv => kgv
2018-01-10 23:32 abv Status feedback => resolved
2018-01-11 09:34 kgv Note Added: 0073303
2018-01-11 09:34 kgv Assigned To kgv => bugmaster
2018-01-11 09:34 kgv Status resolved => reviewed
2018-01-11 10:05 kgv Summary Configuration, macOS - "Appkit" is spelled in CMake scripts using wrong case for "K" => Configuration, macOS - "AppKit" is spelled in CMake scripts using wrong case for "K"
2018-01-11 11:22 apn Test case number => Not needed
2018-01-11 11:22 apn Note Added: 0073347
2018-01-11 11:22 apn Status reviewed => tested
2018-01-13 15:26 apn Changeset attached => occt master 2c3f1a57
2018-01-13 15:26 apn Assigned To bugmaster => apn
2018-01-13 15:26 apn Status tested => verified
2018-01-13 15:26 apn Resolution open => fixed
2018-02-05 11:39 git Note Added: 0073775
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker